//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//MAINWND.H - Header file for the CMainWnd object
//Copyright Marshall Harnish /97
//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

#ifndef _MAINWND_INC_
#define _MAINWND_INC_

#include <afxwin.h>	//MFC include
#include "dx.h"		//DirectX interface include (CDX object)
#include "game.h"   ///////Includes game.h
#include "globals.h"//Globals include

class CMainWnd : public CFrameWnd	//Derive CMainWnd from the CFrameWnd class
{
public:
	CMainWnd();		//The constructor
	~CMainWnd();	//Destructor
	void ParseIdle();  //Processes what to do next :)
	BOOL OnEraseBkgnd( CDC* pDC );
	void OnSysKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	void OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	UINT OnNcHitTest( CPoint point );
	void OnLButtonDown(UINT,CPoint);	//The left button down function (called whenever the user clicks the left button in the client area via the message map)
	void OnRButtonDown(UINT,CPoint);
	DECLARE_MESSAGE_MAP()	//Declare the message map for the CMainWnd object (message map is defined in the code)

	char *CurrentMap; //the current map that is open
	char *CurrentTileSet; //the current tileset that is open
	int SelectedTile;
	int UserStatus; //Stands for User Status damnit!
private:
protected:
	CDX *m_DX;		//Create a pointer to a CDX object
	CGame *m_Game;  //Create a pointer to MY GAME!
	int Running;    //Tells the program if it's running or not.  It seems to be braindead to that fact.
};

#endif